"use strict";
"use client";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useUpdateEffect(callback, dependencies) {
    if (dependencies === void 0) { dependencies = []; }
    var firstRenderRef = (0, react_1.useRef)(true);
    (0, react_1.useEffect)(function () {
        if (firstRenderRef.current) {
            firstRenderRef.current = false;
            return;
        }
        return callback();
    }, dependencies);
}
exports.default = useUpdateEffect;
