export interface CopyToClipboardOptionsHook {
    debug?: boolean;
    message?: string;
    format?: string;
    onCopy?: (clipboardData: object) => void;
}
export type CopyToClipboardCallback = (text: string, options?: CopyToClipboardOptionsHook) => void;
export type CopyToClipboardHook = [
    CopyToClipboardCallback,
    {
        value: string;
        success: boolean;
    }
];
export default function useCopyToClipboard(): CopyToClipboardHook;
