"use client";
import { __assign, __awaiter, __generator } from "tslib";
import useAsync from "../useAsync";
export var FetchDefaultOptions = {
    headers: {
        "Content-Type": "application/json",
    },
};
export default function useFetch(url, options, dependencies) {
    var _this = this;
    if (options === void 0) { options = {}; }
    if (dependencies === void 0) { dependencies = []; }
    return useAsync(function () { return __awaiter(_this, void 0, void 0, function () {
        var res, json;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, fetch(url, __assign(__assign({}, FetchDefaultOptions), options))];
                case 1:
                    res = _a.sent();
                    if (res.ok)
                        return [2 /*return*/, res.json()];
                    return [4 /*yield*/, res.json()];
                case 2:
                    json = _a.sent();
                    return [4 /*yield*/, Promise.reject(json)];
                case 3: return [2 /*return*/, _a.sent()];
            }
        });
    }); }, dependencies);
}
