type StateWithValidationCallback<T> = (value: T | undefined) => boolean;
type StateWithValidationChange<T> = (value: T | undefined) => void;
export type StateWithValidationHook<T> = [
    T | undefined,
    StateWithValidationChange<T>,
    boolean
];
export default function useStateWithValidation<T>(validationFunc: StateWithValidationCallback<T>, initialValue?: T): StateWithValidationHook<T>;
export {};
