"use client";
import useEventListener from "../useEventListener";
export default function useClickOutside(ref, callback, event) {
    useEventListener(event || "click", function (e) {
        if (ref.current == null || ref.current.contains(e.target))
            return;
        callback(e);
    }, document);
}
