"use client";
import { useState, useEffect } from "react";
import useEventListener from "../useEventListener";
import win from "../../util/window";
export default function useMediaQuery(mediaQuery) {
    var _a = useState(false), isMatch = _a[0], setIsMatch = _a[1];
    var _b = useState(null), mediaQueryList = _b[0], setMediaQueryList = _b[1];
    useEffect(function () {
        var _a, _b;
        var list = (_a = win === null || win === void 0 ? void 0 : win.matchMedia(mediaQuery)) !== null && _a !== void 0 ? _a : null;
        setMediaQueryList(list);
        setIsMatch((_b = list === null || list === void 0 ? void 0 : list.matches) !== null && _b !== void 0 ? _b : false);
    }, [mediaQuery]);
    useEventListener("change", function (e) { return setIsMatch(e.matches); }, mediaQueryList);
    return isMatch;
}
