"use client";
import { useState } from "react";
import useEventListener from "../useEventListener";
import win from "../../util/window";
function useScrollPosition(ref) {
    var _a = useState({
        x: 0,
        y: 0,
    }), scrollPosition = _a[0], setScrollPosition = _a[1];
    var handleScroll = function () {
        var _a, _b, _c, _d;
        if (ref && ref.current) {
            setScrollPosition({
                x: ref.current.scrollLeft,
                y: ref.current.scrollTop,
            });
        }
        else {
            setScrollPosition({
                x: (_b = (_a = win === null || win === void 0 ? void 0 : win.scrollX) !== null && _a !== void 0 ? _a : win === null || win === void 0 ? void 0 : win.document.documentElement.scrollLeft) !== null && _b !== void 0 ? _b : 0,
                y: (_d = (_c = win === null || win === void 0 ? void 0 : win.scrollY) !== null && _c !== void 0 ? _c : win === null || win === void 0 ? void 0 : win.document.documentElement.scrollTop) !== null && _d !== void 0 ? _d : 0,
            });
        }
    };
    useEventListener("scroll", handleScroll);
    return scrollPosition;
}
export default useScrollPosition;
